## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%undefine _hardened_build

Name:           tracy
Version:        0.10.0
Release:        %autorelease
Summary:        Tracy profiler client library, capture tool and UI

License:        BSD-3-Clause
URL:            https://github.com/wolfpld/tracy
Source:         https://github.com/YaLTeR/tracy/archive/3d95b0caff6c628b9b5f5014f9f64e9aca7c9ad0.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig(capstone)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(dbus-1)

%description
A real time, nanosecond resolution, remote telemetry, hybrid frame and sampling
profiler for games and other applications.

%package devel
Summary: Tracy profiler client library
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the Tracy client library.

%prep
%autosetup -n tracy-3d95b0caff6c628b9b5f5014f9f64e9aca7c9ad0


%build
%meson \
  -Dtracy_shared_libs=true \
  -Dtracy_on_demand=true \
  -Dtracy_delayed_init=true \
  -Dtracy_manual_lifetime=true \
  -Dtracy_no_callstack=true \
  -Dtracy_only_localhost=true \
  %{nil}

%meson_build

%make_build -C capture/build/unix/ release
%make_build -C profiler/build/unix/ release


%install
%meson_install
install -D capture/build/unix/capture-release %{buildroot}%{_bindir}/tracy-capture
install -D profiler/build/unix/Tracy-release %{buildroot}%{_bindir}/tracy-ui


%files
%license LICENSE
%doc README.md
%{_libdir}/libtracy.so.0*
%{_bindir}/tracy-capture
%{_bindir}/tracy-ui

%files devel
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed Oct 25 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.10.0-6
- Update for TracyIsStarted

* Tue Oct 24 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.10.0-5
- Update to fix missing include

* Tue Oct 24 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.10.0-4
- Add Tracy capture tool and UI

* Tue Oct 24 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.10.0-3
- Update for upstream GPU time sync

* Sun Oct 22 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.10.0-2
- Update for GPU time sync

* Tue Oct 17 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Sun Oct 15 2023 Ivan Molodetskikh <yalterz@gmail.com> - 0.9.2-1
- Initial commit
